Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::GIOPProtocolProperties_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::GIOPProtocolProperties_var:

[legend]
Collaboration diagram for RTCORBA::GIOPProtocolProperties_var:

[legend]
List of all members.

## Public Methods
| GIOPProtocolProperties_var (void)
| GIOPProtocolProperties_var (GIOPProtocolProperties_ptr p)
| GIOPProtocolProperties_var (const GIOPProtocolProperties_var &)
| ~GIOPProtocolProperties_var (void)
GIOPProtocolProperties_var & | operator= (GIOPProtocolProperties_ptr)
GIOPProtocolProperties_var & | operator= (const GIOPProtocolProperties_var &)
GIOPProtocolProperties_ptr | operator-> (void) const
| operator const GIOPProtocolProperties_ptr & () const
| operator GIOPProtocolProperties_ptr & ()
GIOPProtocolProperties_ptr | in (void) const
GIOPProtocolProperties_ptr & | inout (void)
GIOPProtocolProperties_ptr & | out (void)
GIOPProtocolProperties_ptr | _retn (void)
GIOPProtocolProperties_ptr | ptr (void) const
## Static Public Methods
GIOPProtocolProperties_ptr | tao_duplicate (GIOPProtocolProperties_ptr)
void | tao_release (GIOPProtocolProperties_ptr)
GIOPProtocolProperties_ptr | tao_nil (void)
GIOPProtocolProperties_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| GIOPProtocolProperties_var (const TAO_Base_var &rhs)
GIOPProtocolProperties_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
GIOPProtocolProperties_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::GIOPProtocolProperties_var::GIOPProtocolProperties_var | ( | void |  | ) |

RTCORBA::GIOPProtocolProperties_var::GIOPProtocolProperties_var | ( | GIOPProtocolProperties_ptr | p | ) | `[inline]`

RTCORBA::GIOPProtocolProperties_var::GIOPProtocolProperties_var | ( | const GIOPProtocolProperties_var & |  | ) |

RTCORBA::GIOPProtocolProperties_var::~GIOPProtocolProperties_var | ( | void |  | ) |

RTCORBA::GIOPProtocolProperties_var::GIOPProtocolProperties_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::_retn | ( | void |  | ) |

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::in | ( | void |  | ) | const

GIOPProtocolProperties_ptr& RTCORBA::GIOPProtocolProperties_var::inout | ( | void |  | ) |

RTCORBA::GIOPProtocolProperties_var::operator const GIOPProtocolProperties_ptr & | ( |  | ) | const

RTCORBA::GIOPProtocolProperties_var::operator GIOPProtocolProperties_ptr & | ( |  | ) |

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::operator-> | ( | void |  | ) | const

GIOPProtocolProperties_var& RTCORBA::GIOPProtocolProperties_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

GIOPProtocolProperties_var& RTCORBA::GIOPProtocolProperties_var::operator= | ( | const GIOPProtocolProperties_var & |  | ) |

RTCORBA::GIOPProtocolProperties_var & RTCORBA::GIOPProtocolProperties_var::operator= | ( | GIOPProtocolProperties_ptr | p | ) |

GIOPProtocolProperties_ptr& RTCORBA::GIOPProtocolProperties_var::out | ( | void |  | ) |

RTCORBA::GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::ptr | ( | void |  | ) | const

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::tao_duplicate | ( | GIOPProtocolProperties_ptr |  | ) | `[static]`

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::GIOPProtocolProperties_var::tao_release | ( | GIOPProtocolProperties_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::GIOPProtocolProperties_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp